<!DOCTYPE html>
<html lang="hu">
 <head> 
    <title>Stringek htmlspecialchars függvény - PHP honlap programozás</title> 
    <meta charset="UTF-8">            
    <link rel="icon" type="image/gif" href="favicon.ico">     
  </head>
<body>      
    

<?php
$s = 'A <b> felhasználó  </b> által "beírt" szöveg! ';

echo "A szöveg megjelenítése:<br> ";
echo $s. "<br> <br>";
echo "A szöveg megjelenítése átalakítás után:<br>";
echo htmlspecialchars($s). "<br>";
echo htmlspecialchars($s,ENT_NOQUOTES,"UTF-8"). "<br>";
echo "Érdemes megnézni az oldal forrását.";
?>
<!--

A htmlspecialchars() függvény a speciális HTML-karaktereket konvertálja a nekik megfelelő HTML-entitásokká.

 1. paraméter: az átalakítandó string
 2. paraméter (opcionális): meghatározza, hogyan kell kezelni az idézőjeleket vagy a dokumentum típusát.
ENT_COMPAT - Alapértelmezett.  csak az idézőjelet dekódolja.
ENT_QUOTES - Dekódolja a dupla és a szimpla idézőjelet is.
ENT_NOQUOTES - Nem dekódol semmilyen idézőjelet

ENT_HTML401 -  HTML 4.01 (Alapértelmezett)
ENT_HTML5 - HTML 5
ENT_XML1 - XML 1
ENT_XHTML - XHTML

ENT_IGNORE - Figyelmen kívül hagyja érvénytelen kódolást.
ENT_SUBSTITUTE - Helyettesíti érvénytelen kódolást egy meghatározott karakterkészlettel.
ENT_DISALLOWED - Helyettesíti  érvénytelen  karaktereket.

 3. paraméter (opcionális): meghatározza a karakterkódolás típusát.
 
 Visszatérési érték: 
 String: benne a HTML-karakterek  HTML entitásokra cserélve.
-->               
</body>      
</html>
